from fastapi import APIRouter
from mooc.api.v1.endpoints import admin, wechat

api_router = APIRouter()

# עԱ·ɣǰ׺Ϊ/admins
api_router.include_router(
    admin.admin_router, 
    prefix="/admins", 
    tags=["admins"]
)

# Add WeChat endpoints
api_router.include_router(wechat.router, prefix="/wechat", tags=["wechat"])